namespace CMSMicroservice.Application.FactorDetailsCQ.Commands.DeleteFactorDetails;
public class DeleteFactorDetailsCommandValidator : AbstractValidator<DeleteFactorDetailsCommand>
{
    public DeleteFactorDetailsCommandValidator()
    {
        RuleFor(model => model.Id)
            .NotNull();
    }
    public Func<object, string, Task<IEnumerable<string>>> ValidateValue => async (model, propertyName) =>
    {
        var result = await ValidateAsync(ValidationContext<DeleteFactorDetailsCommand>.CreateWithOptions((DeleteFactorDetailsCommand)model, x => x.IncludeProperties(propertyName)));
        if (result.IsValid)
            return Array.Empty<string>();
        return result.Errors.Select(e => e.ErrorMessage);
    };
}
